{% extends 'base.html.twig' %}

{% block title %} {{ product.name }} - La boutique {% endblock %}

{% block content %}

    <div class="row">
        <div class="col-md-5">
            <img src="/uploads/{{ product.illustration }}" alt="{{ product.name }}" class="img-fluid">
        </div>
        <div class="col-md-7 my-auto">
            <h3> {{ product.name }} </h3>
            <p> {{ product.subtitle }} </p>
            <span class="product-page-prix"> {{ (product.prix / 100) | number_format(2, ',', '.')}} €</span>
            <hr>
            <p>
                {{ product.description }}
            </p>
            <a href="{{ path('add_to_cart', {'id' : product.id}) }}" class="btn btn-primary"> Ajouter au panier</a>
        </div>
    </div>
    <hr class="mt-10">
    <h3 class="text-center mt-5"> Nos top ventes </h3>
    <p class="text-center"> Découvrer nos articles les plus populaire parmis notre catalogue </p>
    <div class="row">
        {% for product in products %}
            <div class="col-md-3">
                {% include "product/single_product.html.twig" %}
            </div>
        {% endfor %}
    </div>

{% endblock %}
